## renpy-fribidi 0.19.2-2

=== debian/changelog ===
renpy-fribidi (0.19.2-2) unstable; urgency=low

  * Remove manpages in the packages which will conflict with the
    libfribidi package

 -- Yuting Cui <yutingcui@gmail.com>  Thu, 10 Jun 2010 14:34:00 +0800

renpy-fribidi (0.19.2-1) unstable; urgency=low

  * Initial port to maemo5 for Ren'Py

 -- Yuting Cui <yutingcui@gmail.com>  Wed, 9 Jun 2010 17:21:00 +0800

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

FRIBIDI_UDEB=lib-renpy-fribidi0-udeb
DEBVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //')
UDEBNAME=$(FRIBIDI_UDEB)_$(DEBVERSION)_$(shell dpkg --print-architecture).udeb

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
OBJS += xmalloc.o
STRIP= /bin/true
else
STRIPTOOL=strip
STRIP= $(STRIPTOOL) --remove-section=.note --remove-section=.comment
endif

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	$(MAKE) build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: 

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testdir
	dh_testroot

	dh_movefiles

	dh_installdocs -a -N$(FRIBIDI_UDEB)
	dh_installman -a -N$(FRIBIDI_UDEB)
	dh_installchangelogs fribidi-0.19.2/ChangeLog -a -N$(FRIBIDI_UDEB)
	mkdir -p debian/$(FRIBIDI_UDEB)/lib
	cp -a debian/lib-renpy-fribidi0/usr/lib/*.so.0.* debian/$(FRIBIDI_UDEB)/lib
	$(STRIP) debian/$(FRIBIDI_UDEB)/lib/libfribidi.so.0.3.1
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs -N$(FRIBIDI_UDEB)
	dh_shlibdeps -Xusr/bin/fribidi -N$(FRIBIDI_UDEB)
	dh_installdeb -N$(FRIBIDI_UDEB)
	dh_gencontrol -a -N$(FRIBIDI_UDEB)
	dh_md5sums -a -N$(FRIBIDI_UDEB)
	dh_builddeb -a -N$(FRIBIDI_UDEB)
	dh_gencontrol -p$(FRIBIDI_UDEB) -- -fdebian/files~
	dpkg-distaddfile $(UDEBNAME) debian-installer extra
	dh_builddeb $(FRIBIDI_UDEB) --filename=$(UDEBNAME)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## renpy-fribidi 0.19.2-3

=== Makefile ===
TARFILE=fribidi-0.19.2.tar.gz
TARDIR=fribidi-0.19.2

CONFIGURE_FLAG= --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

all: build

unpack: unpack-stamp
unpack-stamp: $(TARFILE)
	-rm -rf $(TARDIR)
	tar zxf $(TARFILE)
	for P in `ls patches/*.diff 2>/dev/null`; do \
	    (cd $(TARDIR) && patch -p1) < $$P; \
	done
	touch $@

build: build-stamp
build-stamp: unpack-stamp
	install -d build/fribidi
#	cd $(TARDIR) && aclocal
#	cd $(TARDIR) && autoheader
#	cd $(TARDIR) && libtoolize -c --force
#	cd $(TARDIR) && automake -i --foreign
#	cd $(TARDIR) && autoconf
	cd build/fribidi && ../../$(TARDIR)/configure  --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="-O2 -DFRIBIDI_CHUNK_SIZE=4080"
	cd build/fribidi && make $(MAKE_DEFINES)

	touch $@

install: install-stamp
install-stamp: build-stamp
	P=`pwd`/$(INSTALL_PREFIX) && cd build/fribidi && make install prefix=$$P/debian/tmp/usr

	touch $@

clean:
	rm -rf build 
	rm -rf $(TARDIR)
	rm -f build*-stamp install*-stamp unpack-stamp
	rm -f *~ patches/*~
	rm -f fribidi_test

#test:	build
#	cd build/fribidi && make test check
#	gcc -static -o fribidi_test fribidi_test.c -Lbuild/fribidi/.libs -lfribidi -I$(TARDIR)
#	./fribidi_test
#	@echo "All Debian Package tests passed succesfully."

=== debian/changelog ===
renpy-fribidi (0.19.2-3) unstable; urgency=low

  * Change the so file version to resolve the conflict with the
    libfribidi package

 -- Yuting Cui <yutingcui@gmail.com>  Thu, 11 Jun 2010 03:10:00 +0800

=== debian/control ===
Source: renpy-fribidi
Section: libs
Priority: extra
Maintainer: Cui Yuting <yutingcui@gmail.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 3.0.0), pkg-config

Package: lib-renpy-fribidi0
Architecture: any
Depends: ${shlibs:Depends}
Description: Free Implementation of the Unicode BiDi algorithm
 FriBiDi is a BiDi algorithm implementation for Hebrew and/or Arabic
 languages.
 .
 Upstream: http://freedesktop.org/Software/FriBidi

Package: lib-renpy-fribidi-dev
Architecture: any
Section: libdevel
Depends: lib-renpy-fribidi0 (= ${Source-Version})
Description: Development files for FreeBidi library
 This package contains the header files and static libraries for the
 FriBidi C library.
 .
 Upstream: http://freedesktop.org/Software/FriBidi

Package: lib-renpy-fribidi0-udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: libc-udeb
Description: Free Implementation of the Unicode BiDi algorithm
 This Debian Installer component provided Bidirectional support 
 for Arabic and/or Hebrew languages.

=== debian/rules ===
--- 
+++ 
@@ -72,8 +72,8 @@
 	dh_installman -a -N$(FRIBIDI_UDEB)
 	dh_installchangelogs fribidi-0.19.2/ChangeLog -a -N$(FRIBIDI_UDEB)
 	mkdir -p debian/$(FRIBIDI_UDEB)/lib
-	cp -a debian/lib-renpy-fribidi0/usr/lib/*.so.0.* debian/$(FRIBIDI_UDEB)/lib
-	$(STRIP) debian/$(FRIBIDI_UDEB)/lib/libfribidi.so.0.3.1
+	cp -a debian/lib-renpy-fribidi0/usr/lib/*.so.3.* debian/$(FRIBIDI_UDEB)/lib
+	$(STRIP) debian/$(FRIBIDI_UDEB)/lib/libfribidi.so.3.0.0
 	dh_strip
 	dh_link
 	dh_compress

=== debian/watch ===
version=2
http://freedesktop.org/~fribidi/download/fribidi-([\d\.]+)\.tar\.gz
